# Organizations Organizations ## Creates a new organization record that does not already exist. - [POST /organizations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organizations/createorganization.md): This method will auto-generate an ID and create a new organization. If an ID is specified for the organization, an error will be thrown. ## Execute Batch Operations - [POST /organizations/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organizations/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Get all descendent organizations - [GET /organizations/{tenantId}/descendents/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organizations/getdescendents.md): Recursively finds all descendents to an organization ## Returns the organization matching the specified domain_name - [GET /organizations/{tenantId}/domain_name/{domain_name}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organizations/getorganizationbydomainname.md): Returns the organization matching the specified domain_name ## Finds all conflicting fields for organizations - [GET /organizations/{tenantId}/getFieldConflicts/{ids}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organizations/getfieldconflicts.md): This method will load organizations, compare them, and return all fields that are in conflict ## Returns a list of records with the specified parent_organization_id - [GET /organizations/{tenantId}/parentOrganization/{parent_organization_id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organizations/listorganizationsbyparentorganizationid.md): Returns a list of records with the specified parent_organization_id ## Sends out a preview of the CRC notification email - [POST /organizations/{tenantId}/previewContactRoleComplianceEmail](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organizations/previewcontactrolecomplianceemail.md): Sends out a preview of the CRC notification email ## Get publicly available information for an org - [GET /organizations/{tenantId}/public/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organizations/publicreadorg.md): This method will return the publicly accessible information for an org. It is used on the portal to make authenticated requests to users who are not yet tied to the organization ## Re-runs compliance for all organizations in the system - [POST /organizations/{tenantId}/reprocessCompliance](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organizations/reprocesscompliance.md): Given a set of expiration options, allows for the calculation of an expiration date ## Searches for organizations using predefined parameters - [POST /organizations/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organizations/searchfororganizations.md): Searches for organizations using predefined parameters ## Looks up a social profile and returns what is found to the user - [GET /organizations/{tenantId}/socialProfile/{domain}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organizations/getsocialprofile.md): This method will make a call and parse/return the results ## Returns a organization from the system by its ID. - [DELETE /organizations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organizations/deleteorganization.md): This method will delete a organization with the specified ID. ## Returns a organization from the system by its ID. - [GET /organizations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organizations/getorganization.md): This method will look up a organization by the specified ID and return it back. ## Partially updates a organization with the specified ID. - [PATCH /organizations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organizations/patchorganization.md): This method will patch an existing organization with the specified ID, using the HTTP PATCH specification. ## Updates a organization with the specified ID. - [PUT /organizations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organizations/updateorganization.md): This method will update an existing organization with the specified ID. ## Updates a organization with data merged from other organizations then signals other microservices to complete the merge - [PUT /organizations/{tenantId}/{id}/merge](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/organizations/mergeorganizations.md): Updates a organization with data merged from other organizations then signals other microservices to complete the merge